using System;
using UnityEngine;

public class SoundManager : MonoBehaviour
{
    public static Action<AudioClip> PlaySFX;
    public static Action<AudioClip[]> PlayRandomSFX;
    private AudioSource _audioSource;
    void Start()
    {
        _audioSource = GetComponent<AudioSource>();
        PlaySFX += PlayOneShot;
        PlayRandomSFX += PlayRandomSound;
    }

    private void OnDestroy()
    {
        PlaySFX -= PlayOneShot;
        PlayRandomSFX -= PlayRandomSound;
    }

    void PlayOneShot(AudioClip audioClip)
    {
        _audioSource.PlayOneShot(audioClip);
    }

    void PlayRandomSound(AudioClip[] audioClips)
    {
        
    }
}
